List contacts
client.contact.list(ContactListParams { limit, offset } query?, RequestOptionsoptions?): ContactListResponse { data, object, totalCount }
GET/v1/contacts
Returns a paginated list of contacts. Use offset and limit to paginate through results, and $field query parameters to filter. See List endpoints for more information about pagination and filtering.
Required scope: contacts:read
Rate limit category: Search
Parameters
Returns
List contacts
import Lightfield from 'lightfield';
const client = new Lightfield({
apiKey: 'My API Key',
});
const contactListResponse = await client.contact.list();
console.log(contactListResponse.data);{
"data": [
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}
],
"object": "object",
"totalCount": 0
}Returns Examples
{
"data": [
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}
],
"object": "object",
"totalCount": 0
}